Current employee's leave home: balances + requests
curl --request GET \
--url https://app.ontime.hosai.app/api/leave/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.ontime.hosai.app/api/leave/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ontime.hosai.app/api/leave/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fyYear": 0,
"fyLabel": "<string>",
"balances": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leaveTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leaveTypeCode": "<string>",
"leaveTypeName": "<string>",
"year": 0,
"entitled": 123,
"taken": 123,
"remaining": 123
}
],
"featured": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leaveTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leaveTypeCode": "<string>",
"leaveTypeName": "<string>",
"year": 0,
"entitled": 123,
"taken": 123,
"remaining": 123
},
"upcoming": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeName": "<string>",
"employeeCode": "<string>",
"leaveTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leaveTypeCode": "<string>",
"leaveTypeName": "<string>",
"fromDate": "<string>",
"toDate": "<string>",
"workingDays": 123,
"reason": "<string>",
"backupEmployeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"backupName": "<string>",
"balanceAfter": 123,
"requiresHrApproval": true,
"managerDecisionBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managerDecisionName": "<string>",
"managerDecidedAt": "<string>",
"hrDecisionBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hrDecisionName": "<string>",
"hrDecidedAt": "<string>",
"decisionNote": "<string>",
"createdAt": "<string>"
}
],
"recent": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeName": "<string>",
"employeeCode": "<string>",
"leaveTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leaveTypeCode": "<string>",
"leaveTypeName": "<string>",
"fromDate": "<string>",
"toDate": "<string>",
"workingDays": 123,
"reason": "<string>",
"backupEmployeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"backupName": "<string>",
"balanceAfter": 123,
"requiresHrApproval": true,
"managerDecisionBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managerDecisionName": "<string>",
"managerDecidedAt": "<string>",
"hrDecisionBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hrDecisionName": "<string>",
"hrDecidedAt": "<string>",
"decisionNote": "<string>",
"createdAt": "<string>"
}
]
}Leave
Current employee's leave home: balances + requests
Current employee’s leave home: balances + requests
GET
/
api
/
leave
/
me
Current employee's leave home: balances + requests
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Response
200 - application/json
Success
⌘I